Create a mailbox domain
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/mailbox-domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/mailbox-domains"
payload = { "domain": "<string>" }
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/mailbox-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dns_records": {
"receiving_dns_records": [
{
"is_active": true,
"valid": "<string>",
"value": "<string>",
"name": "<string>"
}
],
"sending_dns_records": [
{
"is_active": true,
"valid": "<string>",
"value": "<string>",
"name": "<string>"
}
]
},
"domain": "<string>",
"status": "<string>",
"dedicated_ip": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Mailbox domains
Create a mailbox domain
Create domain for the partner_id
POST
/
finops
/
v1
/
mailbox-domains
Create a mailbox domain
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
The domain name, such as mail.mycompany.com. Can contain only alphanumeric characters (A..Z a..z 0..9), dots (.), and hyphens (-). Each segment of the domain name must start and end with either a letter or a digit.
Response
Successful Response
Entry UUID
- Option 1
- Option 2
Show child attributes
Show child attributes
The domain name.
A dedicated IP address assigned to this mailbox and used to send outgoing email.
The time the domain was updated for the last time
Was this page helpful?
⌘I